%define name drakx-installer-rescue
%define version 1.9
%define release %mkrel 1

%define ldetect_lst_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' ldetect-lst)

Summary: Rescue image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-XML-Parser squashfs-tools mknod-m600
BuildRequires: ldetect-lst-devel
BuildRequires: hexedit grub telnet rsync openssh-clients ftp-client-krb5 kbd strace
BuildRequires: gpart parted partimage
BuildRequires: dump xfsdump eject testdisk extipl
BuildRequires: xfsprogs reiserfsprogs jfsprogs ntfsprogs dosfstools
BuildRequires: mdadm lvm2 dmraid
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pciutils ldetect
BuildRequires: packdrake rpmtools
BuildRequires: vim-minimal
BuildRequires: drakx-installer-binaries drakxtools-backend drakx-kbd-mouse-x11
BuildRequires: bind-utils nfs-utils-clients wget
BuildRequires: ka-deploy-source-node

#- require the version used during build
Requires: ldetect-lst = %ldetect_lst_version

%description
rescue image

%prep
%setup -q

%build
make -C rescue

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 1.9-1mdv2008.1
+ Revision: 183602
- 1.9
- add missing modalias files (#38690)
- handle ntfs-3g in fstab (pixel)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.1
+ Revision: 176573
- buildrequire packdrake
- buildrequire bind-utils (for host), wget and rpmtools (for parsehdlist)
- 1.8
- support new modules location (#38207)
- adapt to perl 5.10
- fix build (fix a workaround in partimage_whole_disk)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - add ka-deploy-source-node buildrequires (needed by ka method)

* Tue Sep 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.7-1mdv2008.0
+ Revision: 92804
- BuildRequires nfs-utils-clients for mount.nfs

  + Pixel <pixel@mandriva.com>
    - 1.7: add mount.nfs binary (since mount doesn't handle nfs fs anymore)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.6-2mdv2008.0
+ Revision: 78547
- rebuild to have correct keymaps (#33086)

* Wed Aug 08 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2008.0
+ Revision: 60394
- new release, 1.6
- adapt to new libldetect together with drakx-installer-images 1.13
- loadkeys file:
  o handle new "kbd" rpm which have .map files instead of .kmap
  o don't skip fr_CH-latin1
  o handle "fr_CH"-like short names
- remove rescuept (use testdisk instead, which is much nicer)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 1.5-1mdv2008.0
+ Revision: 50524
- rebuild
- new release, 1.5
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- add "mkfs.ext3" which is no more equivalent to "mkfs.ext2 -J"
  (eg: dir_index & resize_inode features)


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 150724
- new release, 1.4
- zcat and gunzip can't be symlinks anymore, they are scripts

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.3-5mdv2007.1
+ Revision: 150643
- drakx-kbd-mouse-x11 is no more required by drakxtools-backend, adding explicit BuildRequires
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- rebuild with fixed gzip

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 144714
- rebuild

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 118151
- rebuild with valid rights on rescue.sqfs

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115113
- drakx-installer-binaries are in lib64 on amd64
- mknod-m600 is needed for build
- add needed buildrequires
- initial release
- Create drakx-installer-rescue

